/**
 * 
 */
package wsmg.db;

import wsmg.config.WSMGParameter;

/**
 * @author yihuan
 *
 */
public class PersistantDistrebutedQueueDBFactory {
	private static PersistentDistributedQueueDBInterface instance = null;
	public static PersistentDistributedQueueDBInterface getInstance() {
		if (instance == null) {
			if(WSMGParameter.useYidistributedDB){
			instance = new PersistantDistrebutedQueueDB_Yi();
			}else{
				instance = new PersistantDistrebutedQueueDB();	
			}
		}
		return instance;
	}
}
