package wsmg.db;

import java.io.IOException;
import java.sql.SQLException;

import edu.indiana.extreme.q.impl.KeyValueWrapper;

public interface PersistentDistributedQueueDBInterface {

	public abstract void save(Object object, String trackId) throws SQLException, IOException;

	public abstract KeyValueWrapper retrive() throws SQLException, IOException;

	public abstract void done(int key) throws SQLException;

	public abstract void init() throws SQLException;

	public abstract void cleanDB() throws SQLException;

}