package wsmg.demo;

import wsmg.NotificationHandler;
import wsmg.util.WsmgUtil;
import xsul.MLogger;

public class DefaultNotificationHandler implements NotificationHandler {
	private final static MLogger logger = MLogger.getLogger();
	private int messageCounter=0;

	public DefaultNotificationHandler() {
	}

	public void handleNotification(String message) {		
		System.out.println("\n*******Default handler Received message #"+messageCounter+"********");
		System.out.println(message);
		//Use this method to get the notification message content
		String messageContentAsXml = WsmgUtil.getSoapBodyContent(message);
		System.out.println("###Message Content###");
		System.out.println(messageContentAsXml);
//		if(DemoConfig.useXmlElementDemoMessage){
//			XmlElementUsageDemo.parseDemoXmlMessage(messageContentAsXml);
//		}
		messageCounter++;
	}
}
