package wsmg.demo;

import java.io.IOException;

import org.exolab.jms.util.CommandLine;

import wsmg.NotificationHandler;
import wsmg.WseClientAPI;
import xsul.processor.DynamicInfosetProcessorException;

/**
 * <p>
 * Title: Ws-Notification
 * </p>
 * <p>
 * Description:
 * </p>
 * <p>
 * Copyright: Copyright (c) 2004
 * </p>
 * <p>
 * Company: Indiana University
 * </p>
 * 
 * @author yi Huang
 * @version 1.0
 */

public class TestNotificationConsumer {

	public static void main(String[] args)
			throws DynamicInfosetProcessorException, IOException {
		CommandLine cmdline = new CommandLine(args);
		// default port 19999
		int port = Integer.parseInt(cmdline.value("port", "19999"));
		WseClientAPI client = new WseClientAPI();
		// Create a handler to handle the notifications arrived
		NotificationHandler handler = new DefaultNotificationHandler();
		int listenPort = client.startConsumerService(port, handler);
		System.out.println("Listen Port=" + listenPort);
	}

}
