package wsmg.demo;

import java.net.URISyntaxException;

import org.exolab.jms.util.CommandLine;

import wsmg.WseClientAPI;
import wsmg.WsmgConstants;
import wsmg.WsmgRuntimeException;
import wsmg.config.WSMGParameter;

/**
 *
 * @author Yi Huang
 * @version 1.0
 */
public class TestWSE_Subscriber {

        public static void main(String[] args) {
                CommandLine cmdline = new CommandLine(args);
                String consumer;
                String producer;
                String topic;
                String xpath;
                String epr;
                // default conusmer location: "localhost:19999"
                consumer = cmdline.value("consumer", "localhost:19999");  // this is WSE event sink

                // default publisher (or broker, if using broker) location:
                // localhost:12345
                producer = cmdline.value("producer", "localhost:12345"); // this is WSE eevtn source
                // default topic" TestTopic
                topic = cmdline.value("topic", null);                
                xpath = cmdline.value("xpath", null);
                //topic="/a/b[@x=\"mmm\"]";
                // default Endpoint Reference publicNotification
                epr = cmdline.value("epr", null);
                String subscriptionId=null;
                WseClientAPI client = new WseClientAPI();
                
             
                try {
             subscriptionId = client.subscribe(producer, consumer, topic, xpath);
             System.out.println("SubscriptionId=" + subscriptionId);
                } catch (WsmgRuntimeException wre) {
                        // thrown only if some Exception was thrown
                        try {
                                wre.rethrow();
                        } catch (URISyntaxException e) {
                                System.out.println("Caught URI Exception");
                                // thrown when someObject isn't a valid URI
                        } catch (Exception e) {
                                // other checked exceptions, which we
                                // could throw as checked or unchecked
                                // as needed
                                throw wre;
                        }
                }

        }
}

