package wsmg.demo.concurrent;

import wsmg.NotificationHandler;
import wsmg.XmlConsumer;
import edu.emory.mathcs.util.concurrent.Semaphore;

public class StopableNotificationHandler implements NotificationHandler {
	private static int counter;

	private XmlConsumer xc = null;

	private Semaphore waiting = new Semaphore(1, true);

	public StopableNotificationHandler() {
	}

	public synchronized void handleNotification(String message) {
		System.out
				.println("*******Default handler Received message******** No."
						+ counter);
		counter++;
		System.out.println(message);
		if (counter >= 2) {
			if (waiting != null) {
				waiting.release();
			}
		}
	}

	public void setSemaphore(Semaphore sem) {
		this.waiting = sem;
	}
}
