package wsmg.demo.myLeadAgent;

import java.util.StringTokenizer;

import wsmg.demo.lead.LeadEvent;
import xsul.MLogger;

//import wsnt.demo.leadCallBack.EventCallback;

/**
 * <p>
 * Title: Ws-Notification
 * </p> *
 * <p>
 * Description:
 * </p> *
 * <p>
 * Copyright: Copyright (c) 2004
 * </p> *
 * <p>
 * Company: Indiana University
 * </p> *
 * 
 * @author yi Huang
 * @version 1.0
 */
public class TestMyLeadEventCallBack implements EventCallback {

	public boolean deliverEvent(String eventString) {
		throw new IllegalStateException("not implemented");
		// return false;
	}

	private final static MLogger logger = MLogger.getLogger();

	public TestMyLeadEventCallBack() {
	}

	public void deliverEvent(String messageContent, String topic) {
		logger.finest("Saving message to myLeadService:");
		logger.finest("message=" + messageContent);
		logger.finest("topic=" + topic);
		// Expected topic is like: dn=Yi Huang/investigation11/experiment22
		StringTokenizer tokenizer = new StringTokenizer(topic, "/");
		if (tokenizer.countTokens() < 3) {
			System.out
					.println("Unable to deliver the message to MyLeadAgent. Topic needs 3 parts seperated by /");
			return;
		}
		// while (tokenizer.hasMoreTokens()) {
		String userId = tokenizer.nextToken(); // first part
		String investigationName = tokenizer.nextToken(); // second part
		String experimentName = tokenizer.nextToken(); // third part
		logger.finest("uid=" + userId);
		logger.finest("investigation Name=" + investigationName);
		logger.finest("ExperimentName=" + experimentName);
		// WorkflowNotificationDocument notifDoc = null;
		/*
		 * try { notifDoc =
		 * WorkflowNotificationDocument.Factory.parse(messageContent); } catch
		 * (XmlException ex) { ex.printStackTrace(); }
		 */
		/*
		 * WorkflowNotificationDocument.WorkflowNotification notification =
		 * notifDoc.getWorkflowNotification();
		 */
		LeadEvent leadEvent = new LeadEvent(messageContent);
		String status = leadEvent.getStatus();
		String messageString = leadEvent.getMessage();
		String source = leadEvent.getSource();
		String timeStamp = leadEvent.getTimeStamp();
		String topicInMessage = leadEvent.getTopic();
		logger.finest("status=" + status);
		logger.finest("message=" + messageString);
		logger.finest("source=" + source);
		logger.finest("timeStamp=" + timeStamp);
		logger.finest("topic=" + topicInMessage);

	}
}
