package wsmg.demo;

import java.net.URISyntaxException;
import java.util.Vector;

import org.exolab.jms.util.CommandLine;

import wsmg.SubscriptionEntry;
import wsmg.WsntClientAPI;

/**
 * <p>
 * Title: Ws-Notification
 * </p>
 * <p>
 * Description:
 * </p>
 * <p>
 * Copyright: Copyright (c) 2004
 * </p>
 * <p>
 * Company: Indiana University
 * </p>
 * 
 * @author yi Huang
 * @version 1.0
 */
public class showAllSubscriptions {
	public showAllSubscriptions() {
	}

	public static void main(String[] args) throws URISyntaxException {
		CommandLine cmdline = new CommandLine(args);
		String producer;
		// default producer location: "localhost:19999"
		producer = cmdline.value("producer", "localhost:12346");
		WsntClientAPI client = new WsntClientAPI();
		Vector allSubscriptions = client.getAllSubscription(producer);

		// get all the subscriptions from the Vector
		for (int i = 0; i < allSubscriptions.size(); i++) {
			SubscriptionEntry sub = (SubscriptionEntry) allSubscriptions.get(i);
			System.out.println("******" + sub.getSubscriptionId() + "-->"
					+ sub.getConsumerAddress() + "--"
					+ sub.getReferenceProperty() + "##" + sub.getTopic());
		}
	}
}
