package wsmg.measure;

import org.exolab.jms.util.CommandLine;

import wsmg.XmlConsumer;

/**
 * <p>
 * Title: Ws-Notification
 * </p>
 * 
 * @author yi Huang
 * @version 1.0
 */
public class NotificationConsumer {
	TestEventNotificationHandler handler = null;

	XmlConsumer xc = null;

	public NotificationConsumer() {
		handler = new TestEventNotificationHandler();
	}

	public void startNotificationConsumer(int ListeningPort) {
		xc = new XmlConsumer(ListeningPort, handler);
		xc.start();
	}

	public static void main(String[] args) {
		CommandLine cmdline = new CommandLine(args);
		// default consumer location: "localhost:18888"
		int listenPort = Integer.parseInt(cmdline.value("port", "18888"));

		NotificationConsumer nc = new NotificationConsumer();
		// listening to port 18888
		nc.startNotificationConsumer(listenPort);
	}

}
