package wsmg.measure;

import java.net.URISyntaxException;

import org.exolab.jms.util.CommandLine;

import wsmg.WseClientAPI;

/**
 * <p>
 * Title: Ws-Notification
 * </p>
 * 
 * <p>
 * Description:
 * </p>
 * 
 * <p>
 * Copyright: Copyright (c) 2004
 * </p>
 * 
 * <p>
 * Company: Indiana University
 * </p>
 * 
 * @author yi Huang
 * @version 1.0
 */
public class StressTestNotificationConsumer {
	public StressTestNotificationConsumer() {
	}

	public static void main(String[] args) throws URISyntaxException,
			InterruptedException {
		CommandLine cmdline = new CommandLine(args);
		String brokerUrl = cmdline.value("broker",
				"rainier.extreme.indiana.edu:12346");
		String topic = cmdline.value("topic",
				"dn=yihuan/myInvestigation/experiment23");
		int num = Integer.parseInt(cmdline.value("threadNum", "1"));
		int listenPort = Integer.parseInt(cmdline.value("listenPort", "18888"));
		NotificationConsumerThread notificationConsumerThread = new NotificationConsumerThread(
				listenPort);
		new Thread(notificationConsumerThread).start();

		WseClientAPI client = new WseClientAPI();
		String subscriptionId = client.subscribe(brokerUrl, "http://localhost:"
				+ listenPort, topic);

		System.out.println("Consumer started.");
		// Create multiple thread to publish messages
		/*
		 * for (int i = 0; i < num; i++) { XmlPublisherThread xmlPublisherThread =
		 * new XmlPublisherThread(brokerUrl, topic); new
		 * Thread(xmlPublisherThread).start(); }
		 */
		// Thread.sleep(2000);
		// client.unSubscribe(brokerUrl,subscriptionId);
	}
}
