package wsmg;

import org.xmlpull.v1.builder.XmlElement;

import wsmg.processors.widget.WidgetState;

/**
 * <p>
 * Title: Ws-Notification
 * </p>
 *
 * <p>
 * Description:
 * </p>
 *
 * <p>
 * Copyright: Copyright (c) 2004
 * </p>
 *
 * <p>
 * Company: Indiana University
 * </p>
 *
 * @author yi Huang
 * @version 1.0
 */
public class ProcessingContext {
    public XmlElement soapBody;
    
    public XmlElement envelope; // Used for WSe notification messages.topics are
    // in header.
    
    public XmlElement respMessage;
    
    public String resourceId;
    
    public WidgetState resourceState;
    
    public String subId;
    
    private String topicFromUrl;
    
    public SubscriptionState subscription;
    
    public void setTopicFromUrl(String topicFromUrl) {
        this.topicFromUrl = topicFromUrl;
    }
    
    public String getTopicFromUrl() {
        return topicFromUrl;
    }
    
    public XmlElement getEnvelope() {
        return envelope;
    }
    
    public void setEnvelope(XmlElement envelope) {
        this.envelope = envelope;
    }
    
    public XmlElement getSoapBody() {
        return soapBody;
    }
    
    public void setSoapBody(XmlElement message) {
        this.soapBody = message;
    }
    
    public String getResourceId() {
        return resourceId;
    }
    
    public void setResourceId(String resourceId) {
        this.resourceId = resourceId;
    }
    
    public WidgetState getResourceState() {
        return resourceState;
    }
    
    public void setResourceState(WidgetState resourceState) {
        this.resourceState = resourceState;
    }
    
    public XmlElement getRespMessage() {
        return respMessage;
    }
    
    public void setRespMessage(XmlElement respMessage) {
        this.respMessage = respMessage;
    }
    
    public String getSubId() {
        return subId;
    }
    
    public void setSubId(String subId) {
        this.subId = subId;
    }
    
    public SubscriptionState getSubscription() {
        return subscription;
    }
    
    public void setSubscription(SubscriptionState subscription) {
        this.subscription = subscription;
    }
    
    
}
