package wsmg;

import org.xmlpull.v1.builder.XmlNamespace;

import xsul.XsulException;

/**
 * <p>
 * Title: Ws-Notification
 * </p>
 * 
 * <p>
 * Description:
 * </p>
 * 
 * <p>
 * Copyright: Copyright (c) 2004
 * </p>
 * 
 * <p>
 * Company: Indiana University
 * </p>
 * 
 * @author yi Huang
 * @version 1.0
 */
public class SoapFault extends XsulException {
	private XmlNamespace faultCodeValueNs;

	private String faultCodeValueName;

	SoapFault(XmlNamespace faultCodeValueNs, String faultCodeValueName,
			String reasonTextEnglish) {
		this(faultCodeValueNs, faultCodeValueName, reasonTextEnglish, null);
	}

	SoapFault(XmlNamespace faultCodeValueNs, String faultCodeValueName,
			String reasonTextEnglish, Throwable detail) {
		super(reasonTextEnglish, detail);
		this.faultCodeValueNs = faultCodeValueNs;
		this.faultCodeValueName = faultCodeValueName;
	}

	public XmlNamespace getFaultCodeValueNs() {
		return faultCodeValueNs;
	}

	public String getFaultCodeValueName() {
		return faultCodeValueName;
	}
}
