package wsmg.adapter.simpleTopic;

/*
 import edu.indiana.extreme.rfx.types.base_types.addressing.*;
 import edu.indiana.extreme.rfx.types.base_types.notification.*;
 import edu.indiana.extreme.rfx.types.base_types.resource_properties.*; */
/*import xsul.types_addressing.*;
 import xsul.types_wsnt.base.*;
 import xsul.types_wsnt.broker.*;
 import xsul.types_wsnt.topics.*;
 import xsul.types_wsrf.properties.*;*/
//import org.apache.xmlbeans.XmlObject;
//import org.apache.xmlbeans.XmlException;
import java.util.HashMap;
import java.util.Hashtable;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

import org.xmlpull.v1.builder.XmlElement;
import org.xmlpull.v1.builder.XmlInfosetBuilder;

import wsmg.NotificationProducerForBroker;
import wsmg.OutGoingQueue;
import wsmg.SubscriptionState;
import wsmg.WsmgAdapter;
import wsmg.WsmgAdapterConnection;
import wsmg.WsmgConstants;
import wsmg.adapter.CommonSubscriptionProcessing;
import wsmg.adapter.ConsumerList;
import wsmg.adapter.ConsumerListManager;
import wsmg.config.WSMGParameter;
import wsmg.processors.OutGoingMessage;
import wsmg.processors.AdditionalMessageContent;
import wsmg.util.Counter;
import wsmg.util.TimerThread;
import xsul.MLogger;
import xsul.XmlConstants;

//import wsnt.*;
//import wsnt.util.wsntUtility;

public class Direct_WsntAdapter extends CommonSubscriptionProcessing {
	private final static XmlInfosetBuilder builder = XmlConstants.BUILDER;
	private ConsumerListManager consumerListmanager=new ConsumerListManager();

//	private Map topic2ConsumerListMap = new HashMap();

	public Direct_WsntAdapter(Map subscriptionDB, Map publisherRegistrationDB) {
		super(subscriptionDB, publisherRegistrationDB);
	}

	public Direct_WsntAdapter(Map subscriptionDB, Map publisherRegistrationDB,
			String carrier) {
		super(subscriptionDB, publisherRegistrationDB);
	}

	public WsmgAdapterConnection handleSubscribe(SubscriptionState subscribeRequest,
			String subscriptionId) {
		String topicExpression=subscribeRequest.getLocalTopic();
		if(topicExpression==null || topicExpression.length()==0){
			System.out.println("ERROR:WsntAdapterConnection creation failed.");
			return null;
		}
		consumerListmanager.addToConsumerList(topicExpression, subscribeRequest, subscriptionId);	
		if (outGoingQueue == null) {
			outGoingQueue = subscribeRequest.getOutGoingQueue();
		}
		return null;

	}

	public int handleUnsubscribe(String subscriptionId) {
		return consumerListmanager.removeFromConsumerList(subscriptionId,null);
	}

	public void handleNotify(String topic, // TODO: Needs to change to more
											// generic type
			AdditionalMessageContent soapHeader, Object message,
			String wsntMessageConverterClassName) {
		XmlElement messageEl=null;
		String messageString = null;
		if (message instanceof XmlElement) {
			messageEl = (XmlElement) message;
		} else if (message instanceof String) {
			messageString = (String) message;
		}else{
			System.out
					.println("ERROR: Invalid message type, must be be either XmlElement or String.");
			return;
		}
		List consumerInfoList=new LinkedList();
		ConsumerList topicConsumerList = consumerListmanager.getConsumerListByToken(topic);
		ConsumerList wildcardConsumerList = consumerListmanager.getConsumerListByToken(WsmgConstants.WILDCARD_TOPIC);
		if (topicConsumerList != null) {// has subscription to this topic
		  consumerInfoList.addAll(topicConsumerList.getConsumerList());
		}
		if (wildcardConsumerList != null) {// has wildcard subscriptions 		
		    List wildCardConsumerInfoList = wildcardConsumerList.getConsumerList();
		    if(wildCardConsumerInfoList!=null){
		    consumerInfoList.addAll(wildCardConsumerInfoList);
		    }
		}
		sendNotificationToConsumers(consumerInfoList,messageEl,messageString, message, soapHeader);
	}

}
