package wsmg.demo;

import java.net.InetAddress;
import java.net.UnknownHostException;

import org.exolab.jms.util.CommandLine;

import wsmg.WsntClientAPI;

/**
 * <p>
 * Title:
 * </p>
 * 
 * <p>
 * Description:
 * </p>
 * 
 * <p>
 * Copyright: Copyright (c) 2004
 * </p>
 * 
 * <p>
 * Company:
 * </p>
 * 
 * @author Yi Huang
 * 
 * @version 1.0
 * 
 */
public class TestPublisher {
	public static void main(String[] args) throws Exception {
		CommandLine cmdline = new CommandLine(args);
		// default consumer location: "localhost:12345"
		String consumer = cmdline.value("consumer", "localhost:12345");
		// default topic: TestTopic
		String topic = cmdline.value("topic", "TestTopic");
		// default message content: "Hello World!"
		String message = cmdline.value("message", "123456");
		// Find the Ip address of the producer. Use it as the producer's URI.
		// This is just for test purpose.
		InetAddress localAddress = null;
		try {
			localAddress = InetAddress.getLocalHost();
		} catch (UnknownHostException ex) {
			System.out.println("Error - unable to resolve localhost");
		}
		String producer = localAddress.getHostAddress();
		System.out.println("Publisher IP address: " + producer);
		WsntClientAPI client = new WsntClientAPI();
		// xsi:type=\"ns3:ResourcePropertyValueChangeNotificationElementType\"
		// xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"
		// xmlns:ns3=\"http://wsrf.globus.org/core/notification\"
		String message1 = "<ns4:ResourcePropertyValueChangeNotification xmlns:ns4=\"http://docs.oasis-open.org/wsrf/2004/06/wsrf-WS-ResourceProperties-1.2-draft-01.xsd\" xsi:type=\"ns3:ResourcePropertyValueChangeNotificationElementType\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:ns3=\"http://wsrf.globus.org/core/notification\">"
				+ "                 <ns4:NewValue>"
				+ "                   <ns5:message xmlns:ns5=\"http://tutorial.globus.org/auction\">1111111</ns5:message>"
				+ "                  </ns4:NewValue>"
				+ "               </ns4:ResourcePropertyValueChangeNotification>";
		client.publish(consumer, producer, topic, message);
	}
}
