package wsmg.demo;

import java.net.URISyntaxException;

import org.exolab.jms.util.CommandLine;

import wsmg.WseClientAPI;

/**
 *
 * @author yi Huang
 * @version 1.0
 */

public class WSE_DeleteSubscription {
        public WSE_DeleteSubscription() {
        }

        public static void main(String[] args) throws URISyntaxException {
                CommandLine cmdline = new CommandLine(args);
                // default subscription manager (or broker, if using broker) location:
                // localhost:12345
                String subManagerLoc = cmdline.value("subManager", "localhost:12345");
                // default Endpoint Reference publicNotification
                String subId = cmdline.value("subId", null);
                if (subId == null) {
                        System.out
                                        .println("You need to specify the subscriptionId to be deleted using '-subId'");
                        System.exit(0);
                }
                WseClientAPI client = new WseClientAPI();
                client.unSubscribe(subManagerLoc, subId);
                System.out.println("Finished!");
        }

}

