package wsmg.demo.myLeadAgent;

/**
 * <p>
 * Title: Ws-Notification
 * </p>
 * 
 * <p>
 * Description:
 * </p>
 * 
 * <p>
 * Copyright: Copyright (c) 2004
 * </p>
 * 
 * <p>
 * Company: Indiana University
 * </p>
 * 
 * @author yi Huang
 * @version 1.0
 */
// import edu.indiana.extreme.lead.types.*;
// import org.apache
import java.net.InetAddress;
import java.net.URISyntaxException;
import java.net.UnknownHostException;

import org.exolab.jms.util.CommandLine;
import org.xmlpull.v1.builder.XmlInfosetBuilder;

import wsmg.WseClientAPI;
import wsmg.demo.lead.LeadEvent;
import xsul.XmlConstants;

public class TestNCSAEventPublisher {
	private final static XmlInfosetBuilder builder = XmlConstants.BUILDER;

	public TestNCSAEventPublisher() {
	}

	public static void main(String[] args) throws URISyntaxException {
		LeadEvent leadEvent = new LeadEvent();

		// create a notification xmlbean object

		CommandLine cmdline = new CommandLine(args);
		// default consumer location: "localhost:12345"
		String consumer = cmdline.value("consumer", "localhost:12346");
		// default topic: TestTopic
		String topic = cmdline.value("topic", "TestTopic");
		// set the content of message

		// Find the Ip address of the producer. Use it as the producer's URI.
		// This is just for test purpose.
		InetAddress localAddress = null;
		try {
			localAddress = InetAddress.getLocalHost();
		} catch (UnknownHostException ex) {
			System.out.println("Error - unable to resolve localhost");
		}
		String producer = localAddress.getHostAddress();
		System.out.println("IP address: " + producer);
		WseClientAPI client = new WseClientAPI();

		String status = "INFORMATION";
		String messageContent = "";
		String source = "decoder";
		TestNCSAEventPublisher publisher = new TestNCSAEventPublisher();
		for (int i = 0; i < 5; i++) {
			messageContent = "<a href=\"http://test.com/\">text</a>Decoder Done! No."
					+ i;

			String message = leadEvent.createMessage(status, messageContent,
					source, topic);
			// System.out.println("Message="+message);
			client.publish(consumer, producer, topic, message);
			try {
				Thread.sleep(500);
			} catch (InterruptedException ex1) {
				ex1.printStackTrace();
			}
		}
		status = "FINISHED_SUCCESS";
		messageContent = "done!<a href=\"http://test.com/\">text</a>";
		source = "decoder";
		String message = leadEvent.createMessage(status, messageContent,
				source, topic);
		System.out.println("Finish Message=" + message);
		client.publish(consumer, producer, topic, message);
		/*
		 * String leadStatus=getStatus(message); System.out.println(leadStatus);
		 * String messageString=getMessage(message);
		 * System.out.println(messageString);
		 */
	}
}
