/*
 This file is licensed under the terms of the Globus Toolkit Public
 License, found at http://www.globus.org/toolkit/download/license.html.
 */
package wsmg.jms;

import javax.jms.Message;
import javax.jms.TextMessage;
import javax.jms.TopicSession;

import org.xmlpull.v1.builder.XmlInfosetBuilder;

import xsul.MLogger;
import xsul.XmlConstants;

// import xsul.types_wsnt.base.NotificationMessageHolderType;

// import
// edu.indiana.extreme.rfx.types.base_types.notification.NotificationMessageHolderType;

public class DefaultWsntToJMSConverter implements WsntToJMSConverter {
	// static Log logger =
	// LogFactory.getLog(DefaultWsntToJMSConverter.class.getName());
	private final static MLogger logger = MLogger.getLogger();

	private final static XmlInfosetBuilder builder = XmlConstants.BUILDER;

	public Message convertToJMS(String messageStr, TopicSession jmsTopicSession)
			throws JMSAdapterException {
		// String messageString = null;

		try {
			// ObjectMessage jmsMessage = jmsTopicSession.createObjectMessage();
			// jmsMessage.setObject( (Serializable) wsntMessage);
			// String xmlAsString = builder.serializeToString(wsntMessage);
			TextMessage jmsMessage = jmsTopicSession.createTextMessage();
			jmsMessage.setText(messageStr);

			return jmsMessage;
		} catch (Exception e) {
			throw new JMSAdapterException("WsntJmsConvertError", e);
		}
	}
}
