package wsmg.measure;

/**
 * <p>
 * Title: Ws-Notification
 * </p>
 * 
 * <p>
 * Description:
 * </p>
 * 
 * <p>
 * Copyright: Copyright (c) 2004
 * </p>
 * 
 * <p>
 * Company: Indiana University
 * </p>
 * 
 * @author yi Huang
 * @version 1.0
 */
// import edu.indiana.extreme.lead.types.*;
// import org.apache
import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.net.InetAddress;
import java.net.URISyntaxException;
import java.net.UnknownHostException;

import org.exolab.jms.util.CommandLine;
import org.xmlpull.v1.builder.XmlInfosetBuilder;

import wsmg.WseClientAPI;
import wsmg.WsmgClientAPI;
import wsmg.WsntClientAPI;
import wsmg.config.WSMGParameter;
import wsmg.util.Counter;
import wsmg.util.TimerThread;
import wsmg.util.WsmgUtil;
import xsul.XmlConstants;

public class EventPublisher {
    private final static XmlInfosetBuilder builder = XmlConstants.BUILDER;
    
    public EventPublisher() {
    }

    public static void main(String[] args) throws URISyntaxException, InterruptedException {
        Event testEvent=new Event();
         long timeA=0;
       long currentTime=0;   
         long timeC=0;
         long counterA=0;
        long counterB=0;   
        long lastTimeStamp=0;
        Counter counter=new Counter();
    	  TimerThread timerThread = new TimerThread(counter," Publisher");
          new Thread(timerThread).start();	
        CommandLine cmdline = new CommandLine(args);
        //default consumer location: "localhost:12345"
        String consumer = cmdline.value("consumer", "localhost:12346");
        //default topic: TestTopic
        String topic = cmdline.value("topic", "TestTopic");
        int total = Integer.parseInt(cmdline.value("total", "100"));
        long interval=Long.parseLong(cmdline.value("interval", "500"));
        int groupSize=Integer.parseInt(cmdline.value("groupSize", "5"));
        //set the content of message

        //Find the Ip address of the producer. Use it as the producer's URI. This is just for test purpose.
        InetAddress localAddress = null;
        try {
            localAddress = InetAddress.getLocalHost();
        }
        catch (UnknownHostException ex) {
            System.out.println("Error - unable to resolve localhost");
        }
        String producer = localAddress.getHostAddress();
        System.out.println("publisher IP address: " + producer);
        WseClientAPI client = new WseClientAPI();

        //String status="INFORMATION";
        String messageContent="";
        //String source="decoder";
        EventPublisher publisher=new EventPublisher();
        int i=0;
     // try {

			  String gt4Message="<ns4:ResourcePropertyValueChangeNotification xmlns:ns4=\"http://XXXdocs.oasis-open.org/wsrf/2004/06/wsrf-WS-ResourceProperties-1.2-draft-01.xsd\" xsi:type=\"ns3:ResourcePropertyValueChangeNotificationElementType\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:ns3=\"http://wsrf.globus.org/core/notification\">" +
	    		"                 <ns4:NewValue>" +
	    		"                   <ns5:message xmlns:ns5=\"http://tutorial.globus.org/auction\">1111111</ns5:message>" +
	    		"                  </ns4:NewValue>" +
	    		"               </ns4:ResourcePropertyValueChangeNotification>";		
			  String leadMessage=null;
//			  try {
//leadMessage=	WsmgUtil.readFile("c:\\YiFile\\testdata\\lead.xml");
//
//} catch (IOException e) {
//	// TODO Auto-generated catch block
//	e.printStackTrace();
//}
leadMessage=	gt4Message;
			//	messageContent="<testMessage>hello</testMessage>";
				messageContent=leadMessage;//gt4Message;
			  //messageContent=readFile("c:\\testdata\\i.xml");	
		//	messageContent=readFile("/home/yihuan/testdata/h.xml");
//		} catch (IOException e) {
//			// TODO Auto-generated catch block
//			e.printStackTrace();
//		}
	 
		//wait for about 5 sec and start from 000 time so that other thread can start together		
		currentTime=System.currentTimeMillis();
		long launchTime=((currentTime+2000)/1000)*1000;
		long sleepTime=launchTime-currentTime;
		System.out.println("launchTime="+launchTime+" SleepTime="+sleepTime);
		Thread.sleep(sleepTime);
		long startTime=System.currentTimeMillis();	
		int group=0;
		
        while(i<total){
      	  for(int j=0;j<groupSize;j++){
      	  currentTime=System.currentTimeMillis();
    	  if(currentTime-timeA>1000){
//    		  if(currentTime-timeA>10000){
//    			  System.out.println("************Long idle,Finished a section**********"); 
//    		  }
    		//  System.out.println((i-counterA)+"m/"+(currentTime-timeA)+"s this is # "+i);
       		//  System.out.println("**********rate="+(i-counterA)+"m/"+(currentTime-timeA)+"s this is # "+i);
    		  timeA=currentTime;
    		  counterA=i;
    	  }

            i++;
            counter.addCounter();

            String message=testEvent.createMessage(messageContent, ""+i);
       //     System.out.println("Publishing Message"+message);
            client.publish(consumer, producer, topic, message);

            long publishTime=System.currentTimeMillis()-currentTime;
//            System.out.println(i
//            		+" "+currentTime
//            		+" "+publishTime
//            		+" "+(currentTime-lastTimeStamp)
//            		);  
            lastTimeStamp=currentTime;
    	  } 
            group++;
         if(interval==0) continue;      
        	currentTime=System.currentTimeMillis();
            if(group!=3){  //after warm up re-sync launch time.
               launchTime=launchTime+interval;
            }else{
             launchTime=((currentTime+3000)/1000)*1000;
            }
            
            sleepTime=launchTime-currentTime;
    //		System.out.println("launchTime="+launchTime+" SleepTime="+sleepTime);
            if(sleepTime<=0){  //this round of publishing takes longer then the assigned interval
            if(!WSMGParameter.stressTestPublisherCatchUpPublishingRate){
            	//reset the launch time to current time so that the delay will not acumulate
            	launchTime= currentTime;            	
            }
            continue;
            }
                Thread.sleep(sleepTime);
        }
        long endTime=System.currentTimeMillis();
        long diff=endTime-startTime;
        System.out.println("sent "+total+" in "+diff+" ms. rate="+(double)total/((double)diff/1000)+"msg/sec");
        
      
    }
 




}

