package wsmg.measure;

import java.net.URISyntaxException;

import org.exolab.jms.util.CommandLine;

/**
 * <p>
 * Title: Ws-Notification
 * </p>
 * 
 * <p>
 * Description:
 * </p>
 * 
 * <p>
 * Copyright: Copyright (c) 2004
 * </p>
 * 
 * <p>
 * Company: Indiana University
 * </p>
 * 
 * @author yi Huang
 * @version 1.0
 */
public class StressTestPublisher {
	public StressTestPublisher() {
	}

	public static void main(String[] args) throws URISyntaxException,
			InterruptedException {
		CommandLine cmdline = new CommandLine(args);
		String brokerUrl = cmdline.value("broker",
				"rainier.extreme.indiana.edu:12346");
		String topic = cmdline.value("topic",
				"dn=yihuan/myInvestigation/experiment23");
		int threadNum = Integer.parseInt(cmdline.value("threadNum", "1"));
		int total = Integer.parseInt(cmdline.value("total", "8000"));
		long interval = Long.parseLong(cmdline.value("interval", "500"));
		int groupSize = Integer.parseInt(cmdline.value("groupSize", "5"));
		/*
		 * int listenPort=Integer.parseInt(cmdline.value("listenPort",
		 * "18888")); NotificationConsumerThread notificationConsumerThread =
		 * new NotificationConsumerThread(listenPort); new
		 * Thread(notificationConsumerThread).start();
		 * 
		 * WseClientAPI client=new WseClientAPI(); String
		 * subscriptionId=client.subscribe(brokerUrl,
		 * "http://localhost:"+listenPort, topic);
		 */

		// Create multiple thread to publish messages
		long startTime = System.currentTimeMillis();
		for (int i = 0; i < threadNum; i++) {
			XmlPublisherThread xmlPublisherThread = new XmlPublisherThread(
					brokerUrl, topic, total, interval, groupSize);
			new Thread(xmlPublisherThread).start();
		}
		long endTime = System.currentTimeMillis();
		long diff = endTime - startTime;
		System.out.println("started " + threadNum + " threads in " + diff
				+ " ms. rate=" + (double) threadNum / ((double) diff / 1000)
				+ "thread/sec");

		// Thread.sleep(2000);
		// client.unSubscribe(brokerUrl,subscriptionId);

	}
}
