package wsmg.pull;

import java.net.URI;

import org.xmlpull.v1.builder.XmlElement;
import org.xmlpull.v1.builder.XmlInfosetBuilder;

import wsmg.msg_box.MsgBoxClient;
import xsul.XmlConstants;
import xsul.ws_addressing.WsaEndpointReference;

/**
 * <p>
 * Title: Ws-Notification
 * </p>
 * 
 * <p>
 * Description:
 * </p>
 * 
 * <p>
 * Copyright: Copyright (c) 2004
 * </p>
 * 
 * <p>
 * Company: Indiana University
 * </p>
 * 
 * @author yi Huang
 * @version 1.0
 */
public class TestWSMB {
	public TestWSMB() {
	}

	public static void main(String[] args) throws InterruptedException {
		final XmlInfosetBuilder builder = XmlConstants.BUILDER;
		URI messageBoxLocation = null;
		// messageBoxLocation =URI.create("http://129.79.244.138:17777/MsgBox");
		messageBoxLocation = URI.create("http://129.79.246.105:13333/MsgBox");

		// create mailbox
		MsgBoxClient msgBoxService = new MsgBoxClient(messageBoxLocation);
		WsaEndpointReference msgBoxAddr = msgBoxService.createMsgBox();
		System.out.println("msgBoxAddr=" + msgBoxAddr);
		boolean gotAll = false;
		int count = 0;
		while (!gotAll) {
			Thread.currentThread().sleep(90000L);
			System.out.print(".");
			XmlElement msg[] = msgBoxService.takeMessages(msgBoxAddr);
			if (msg.length > 0) {
				System.out.println("#####Total message=" + msg.length);
				for (int i = 0; i < msg.length; i++) {
					// count++;
					XmlElement notification = msg[i];
					System.out.println("Message No." + i + "="
							+ builder.serializeToString(notification));
					if (count >= 10) {
						gotAll = true;
					}
				}
			}
		}
		System.out.println("Finished.");
	}
}
